Base URL: https://demo-api.incodesmile.com — Incode demo environment
Deprecated — this endpoint is marked deprecated in the Omni API specification.
Delete all onboarding sessions by given array of interview ids. The endpoint is executed asynchronously. Note: Requires admin login token reference - /executive/log-in Please, bear in mind that usage of this API endpoint for deletion of Customer Data will mean that Incode will no longer have access to it nor will be able to review or analyze any issue related to deleted Customer Data. After deletion, as Incode will not be able to retrieve the deleted Customer Data, any potential claims related to such data will be waived by Customer. Finally, for clarity purposes, Incode may continue to process information derived from Customer Data that has been deidentified, anonymized, and/or aggregated such that the data is no longer considered Personal Data under applicable Data Protection Laws and in a manner that does not identify individuals or Customer to improve its services and defend its legitimate interests.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
interviewIds |
array[string] | ||
cleanerConfiguration |
CleanerConfigurationDto | ||
cleanerConfiguration.deletePiiFieldsOnly |
boolean | Flag indicating if this is partial delete, where only PII fields should be removed. | |
cleanerConfiguration.piiFieldsToKeep |
array[string] | ||
cleanerConfiguration.keepEnrolledUser |
boolean | Flag indicating if user that was previously enrolled from this session should stay enrolled in the system after this session is deleted | |
cleanerConfiguration.keepTemplates |
boolean | Flag indicating if face templates created during onboarding process, should remain in DB | |
cleanerConfiguration.keepImages |
boolean | Flag indicating if images captured during onboarding process should remain in the system | |
cleanerConfiguration.keepDeviceFingerprints |
boolean | Flag indicating if device fingerprint stored during onboarding process should remain in the system | |
cleanerConfiguration.keepEvents |
boolean | Flag indicating if events stored during onboarding process should remain in the system | |
cleanerConfiguration.keepValidationTests |
boolean | Flag indicating if validation tests stored during onboarding process should remain in the system | |
cleanerConfiguration.keepVideoArchives |
boolean | Flag indicating if video archives stored during onboarding process should remain in the system | |
cleanerConfiguration.keepConferenceEvents |
boolean | Flag indicating if events stored during conference video call should remain in the system | |
cleanerConfiguration.keepChats |
boolean | Flag indicating if chat stored during conference video call should remain in the system | |
cleanerConfiguration.keepStats |
boolean | Flag indicating if statistics stored during onboarding process should remain in the system | |
cleanerConfiguration.deletionMode |
string | Specifies the type of deletion to perform. Enum: BIOMETRICS, PII, FULL |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
|
taskId |
string | ||
statusUri |
string |